How to integrate windows update

Questions about Update Pack making? Ask here.
Post Reply
blackEyEz

How to integrate windows update

Post by blackEyEz » Thu Nov 24, 2005 2:15 pm

Hi all,

I am new to the unattended scene :) and i have a question. I used the 2.0.1 update pack and still it needs to install the windows update 3.1 program.

Is this one not included in the pack or must i do this manualy?

Thanks and awesome work guys it makes patching so much easier :)

User avatar
keytotime
Posts: 491
Joined: Thu Dec 16, 2004 9:44 pm

Post by keytotime » Thu Nov 24, 2005 3:25 pm

The newest Windows Update ActiveX control is included.

User avatar
RyanVM
Site Admin
Posts: 5189
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Thu Nov 24, 2005 3:36 pm

The only thing you should need to install upon visiting Windows (Microsoft) Update is the Windows Genuine Advantage Tool. If you need to install anything else, something isn't working right.
Get up to $200 off on hosting from the same people who host this website!
http://www.ryanvm.net/forum/viewtopic.php?t=2357

blackEyEz

Post by blackEyEz » Thu Nov 24, 2005 4:00 pm

mmm ok ill try it again..

blackEyEz

Post by blackEyEz » Thu Nov 24, 2005 5:12 pm

Hi, I tried it again and still i get a windows updater popup. Here is more info about it:

Release Thursday 26th of May Version V2

What am I doing wrong?

User avatar
RyanVM
Site Admin
Posts: 5189
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Thu Nov 24, 2005 6:35 pm

Have you verified the MD5 checksum of the CAB file you downloaded? How did you integrate the pack?

blackEyEz

Post by blackEyEz » Fri Nov 25, 2005 12:57 am

Yes i verified it and i integrated de update pack by putting it in hotfixes with nLite (newest). I will after i get back from work today make an image with only the 2.0.1 update pack and not other update packs. Maybe its a combination quirck by using several update packs.

User avatar
Daemonforce
Posts: 88
Joined: Thu Nov 03, 2005 3:56 am
Location: International Telcom

Post by Daemonforce » Fri Nov 25, 2005 4:13 am

You can integrate the installer without a problem. Even youuuuuu can do it! :wink:
Win3.1 installer can be attached with the integrate switch. As horrible as it is, that's the fastest method of getting it done. Windows Update ActiveX control can be integrated without a problem. I have an addon posted here for it.

*makes a pokie thingy shaped like a memory dump...* clicky

At this point I'm wondering if nLite just runs the hotfix with the integration switch and a silent command. There needs to be a better way to integrate hotfixes. Windows XP Professional barely fits on a CD anymore! =/
RyanVM wrote:The only thing you should need to install upon visiting Windows (Microsoft) Update is the Windows Genuine Advantage Tool. If you need to install anything else, something isn't working right.
When I came here, I guess I was having problems with the integrator due to some kind of conflict with integrated hotfixes. I started off from scratch and did a Service Pack integration before running the integrator, BAM! No more problems.
Do you have stairs in your house?

User avatar
RyanVM
Site Admin
Posts: 5189
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Fri Nov 25, 2005 12:39 pm

Hmm, I guess that's why I've got this note right at the top of my integration directions:
If you've previously integrated hotfixes into your install CD via the /integrate method, you should start over with a fresh install CD before continuing beyond this point.
http://ryanvm.msfn.org/manual.html ;-)

I guess I assume too much by thinking that people will actually read them :(

User avatar
Daemonforce
Posts: 88
Joined: Thu Nov 03, 2005 3:56 am
Location: International Telcom

Post by Daemonforce » Fri Nov 25, 2005 12:57 pm

Gee gee bay bee...:rolleyes:
lol no one even reads it. I didn't even see that anywhere until now! o_O
When people come here, they just want to get something done with as little problems/effort as possible. They don't think the integrate switch will hurt their work. :wink:
The world has come to a point where people are smart enough to open a readme, but just don't want to touch an FAQ for some reason.
Do you have stairs in your house?

blackEyEz

Post by blackEyEz » Fri Nov 25, 2005 1:25 pm

Um..i tried including the windows update 3.1 in the hotifix section of nLite but it didnt work..still asks for windows update setup and I also tried Daemonforce ActiveX Control cab but it also asked to install ActiveX before it asked for windows update 3.1 setup :(

I also checked out the integrator, but it integrates CAB files, not EXE files..

Whellp

User avatar
RyanVM
Site Admin
Posts: 5189
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Fri Nov 25, 2005 1:31 pm

I'll say it again. If Windows Update is prompting you to install Microsoft Installer 3.1 when you visit there and you've added only my pack to your CD, you're not following directions properly. Was this CD a "clean" CD (only SP2 on it to start with)? Is it possible you removed one too many things with nLite? If so, you might want to post in the nLite forums about it. My pack includes MSI 3.1, period. If it's not there, it's a problem on your end. And like the sticky at the top of this forum says, this forum isn't here to troubleshoot issues with nLite integration.

Unless you can confirm that a) you're using a clean XPSP2 CD with only SP2 on it to start with and b) that you also get the problem using the integrator to integrate the CAB, there's nothing more I can do for you in this thread.

blackEyEz

Post by blackEyEz » Fri Nov 25, 2005 3:45 pm

My appologies I thought your last post was for daemonforce and yes i did a clean install, so i think i removed too much and will take this further to the nlite forums.

Again sorry for the inconvience.

User avatar
Daemonforce
Posts: 88
Joined: Thu Nov 03, 2005 3:56 am
Location: International Telcom

Post by Daemonforce » Fri Nov 25, 2005 3:48 pm

I'll just move nLite out of the picture for a second.....
RyanVM wrote:confirm that a) you're using a clean XPSP2 CD with only SP2 on it to start with and b) that you also get the problem using the integrator to integrate the CAB, there's nothing more I can do for you in this thread.
READ THAT!

Now.....Read it AGAIN! O_o

Everyone's addons are almost guaranteed to fail if your disc does not meet the above requirements. Get a virgin Windows XP disc, slipstream SP2 and save that for later. Now start using the addons. There's just something wrong with horribly integrated hotfixes and other crap when they're present. It took me about 3 days to figure this one out...lol
Do you have stairs in your house?

Post Reply